//
//  GetTextMessageResponse.swift
//  SodaLive
//
//  Created by klaus on 2023/08/10.
//

import Foundation

struct GetTextMessageResponse: Decodable {
    let totalCount: Int
    let items: [TextMessageItem]
}

struct TextMessageItem: Decodable, Hashable {
    let messageId: Int
    let senderId: Int
    let senderNickname: String
    let senderProfileImageUrl: String
    let recipientNickname: String
    let recipientProfileImageUrl: String
    let textMessage: String
    let date: String
    let isKept: Bool
}
